Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityCreeper

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityCreature
                  net.minecraft.src.EntityMob
                      net.minecraft.src.EntityCreeper

All Implemented Interfaces:
  IAnimals, IMob

    public class EntityCreeper

extends EntityMob

Field Summary

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82181_as, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Fields inherited from interface net.minecraft.src.IMob
`mobSelector`

Constructor Summary
`EntityCreeper(World par1World)`

Method Summary
`boolean` | `attackEntityAsMob(Entity par1Entity)`
`int` | `func_82143_as()`
`int` | `getCreeperState()` Returns the current state of creeper, -1 is idle, 1 is 'in fuse'
`int` | `getMaxHealth()`
`boolean` | `getPowered()` Returns true if the creeper is powered by a lightning bolt.
`boolean` | `isAIEnabled()` Returns true if the newer Entity AI code should be run
`void` | `onDeath(DamageSource par1DamageSource)` Called when the mob's health reaches 0.
`void` | `onStruckByLightning(EntityLightningBolt par1EntityLightningBolt)` Called when a lightning bolt hits the entity.
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`float` | `setCreeperFlashTime(float par1)`
`void` | `setCreeperState(int par1)` Sets the state of creeper, -1 to idle and 1 to be 'in fuse'
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.EntityMob
`attackEntityFrom, getAttackStrength, getBlockPathWeight, getCanSpawnHere, onLivingUpdate`

Methods inherited from class net.minecraft.src.EntityCreature
`getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_70079_am, func_82159_b, func_82161_a, func_82165_m, func_85034_r, func_85035_bI, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTalkInterval, getTexture, getTotalArmorValue, getVerticalFaceSpeed, handleHealthUpdate, hasHome, heal, initCreature, isBlocking, isChild, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPlayerSleeping, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, shouldRiderFaceForward, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82142_c, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, func_85029_a, func_85031_j, func_85032_ar, func_90999_ad, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityCreeper

    public EntityCreeper(World par1World)

Method Detail

### isAIEnabled

    public boolean isAIEnabled()

  Returns true if the newer Entity AI code should be run

### func_82143_as

    public int func_82143_as()

  Overrides:
    `func_82143_as` in class `EntityLiving`

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityLiving`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityLiving`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `EntityMob`

### onDeath

    public void onDeath(DamageSource par1DamageSource)

  Called when the mob's health reaches 0.

  Overrides:
    `onDeath` in class `EntityLiving`

### attackEntityAsMob

    public boolean attackEntityAsMob(Entity par1Entity)

  Overrides:
    `attackEntityAsMob` in class `EntityMob`

### getPowered

    public boolean getPowered()

  Returns true if the creeper is powered by a lightning bolt.

### setCreeperFlashTime

    public float setCreeperFlashTime(float par1)

### getCreeperState

    public int getCreeperState()

  Returns the current state of creeper, -1 is idle, 1 is 'in fuse'

### setCreeperState

    public void setCreeperState(int par1)

  Sets the state of creeper, -1 to idle and 1 to be 'in fuse'

### onStruckByLightning

    public void onStruckByLightning(EntityLightningBolt par1EntityLightningBolt)

  Called when a lightning bolt hits the entity.

  Overrides:
    `onStruckByLightning` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD